This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new dc953df Make array construction friendly to trapping undefined variables
dc953df is described below
commit dc953dfcebbf97a13f2670e7f771bb76668d23a0
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 13:54:24 2015 +0200
Make array construction friendly to trapping undefined variables
Change-Id: I61bb7da646a489dafb165f37798874e485e511fb
---
invoke_session_debian | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index f56898a..cc5c12d 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -128,7 +128,11 @@ for lava_name in `lava-group | grep '[[:blank:]]*target$' | aw [...]
echo "TYPE ${target_base}"
sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.j [...]
if test $? -ne 0; then echo "Failed to generate config file for target ${lava_na [...]
- targets=("${targets[@]}" "${lava_name}")
+ if test "${#targets[@]}" -eq 0; then
+ targets=("${lava_name}")
+ else
+ targets=("${targets[@]}" "${lava_name}")
+ fi
done
export targets
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 12f384c Fix ChangeLog of r225926 (PR fortran/61831)
new 963e11e 2015-07-21 Alex Velenko <Alex.Velenko(a)arm.com> gcc/testsuit [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 6 ++++++
gcc/testsuite/gcc.target/arm/split-live-ranges-for-shrink-wrap.c | 2 ++
2 files changed, 8 insertions(+)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new 371bf9d Declare array correctly
371bf9d is described below
commit 371bf9d15a6ccaa6a2271725fa1e46cdb3dfeca1
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 12:38:30 2015 +0200
Declare array correctly
Had declared it as an associative array - want to initialize it as
an empty array.
Change-Id: I9f1b416b75107d344ff3b230d9b234336c060a96
---
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 17ff261..f56898a 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -116,7 +116,7 @@ lava-network broadcast eth0
lava-network collect eth0
echo WAITED > /dev/console
cat /tmp/lava_multi_node_cache.txt
-declare -A targets
+targets=()
for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk '{print $1}'`; do
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query ${lava_name} ipv4)"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from b1eac90 [match.pd] PR middle-end/66915 Restrict A - B -> A + (-B) to [...]
new 487ff34 * gcc.dg/vmx/unpack-be-order.c: Use -Wno-shift-overflow. * [...]
new 12f384c Fix ChangeLog of r225926 (PR fortran/61831)
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 8 +++++++-
gcc/testsuite/gcc.dg/vmx/unpack-be-order.c | 2 +-
gcc/testsuite/gcc.dg/vmx/unpack.c | 2 ++
gcc/testsuite/gcc.target/powerpc/quad-atomic.c | 2 +-
4 files changed, 11 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from b1eac90 [match.pd] PR middle-end/66915 Restrict A - B -> A + (-B) to [...]
new 487ff34 * gcc.dg/vmx/unpack-be-order.c: Use -Wno-shift-overflow. * [...]
new 12f384c Fix ChangeLog of r225926 (PR fortran/61831)
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 8 +++++++-
gcc/testsuite/gcc.dg/vmx/unpack-be-order.c | 2 +-
gcc/testsuite/gcc.dg/vmx/unpack.c | 2 ++
gcc/testsuite/gcc.target/powerpc/quad-atomic.c | 2 +-
4 files changed, 11 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch gcc-5-branch
in repository gcc.
from 35b2f10 Daily bump.
new dfe71bc [ARM][testsuite] Fix FAIL: gcc.target/arm/macro_defs0.c and m [...]
new 5efb961 2015-07-21 Alex Velenko <Alex.Velenko(a)arm.com>
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 14 ++++++++++++++
gcc/testsuite/gcc.target/arm/macro_defs0.c | 1 +
gcc/testsuite/gcc.target/arm/macro_defs1.c | 1 +
gcc/testsuite/gcc.target/arm/thumb-ltu.c | 3 +++
4 files changed, 19 insertions(+)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new 962716e Disable multinode debug output
962716e is described below
commit 962716e45dc86034b20c2957d05de844f11e96a9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 12:01:41 2015 +0200
Disable multinode debug output
Was corrupting data read with lava-network
Change-Id: I17d8b404b5701a5a37012551cff590a1482875b2
---
invoke_session_debian | 1 -
1 file changed, 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 755712a..17ff261 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -37,7 +37,6 @@ fi
ip_addr=$(ifconfig `ip route get $gateway | cut -d ' ' -f3` | grep 'inet addr' |aw [...]
hostname=$(cat /etc/hostname)
echo ${ip_addr}
-export LAVA_MULTI_NODE_DEBUG=1
if ! lava-group; then
echo "lava-group FAILED"
exit 1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new 6ec9a79 Check for zero-length IP address
6ec9a79 is described below
commit 6ec9a7945cb580522da0e4a7c8df55ed5965f547
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 11:31:49 2015 +0200
Check for zero-length IP address
Change-Id: I02f585e57ede52a89c2bb8a5a902ea08a7b29277
---
invoke_session_debian | 1 +
1 file changed, 1 insertion(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index 2e9df60..755712a 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -122,6 +122,7 @@ for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk [...]
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query ${lava_name} ipv4)"
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
+ if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new cf122de Remove incorrect internal quotes
cf122de is described below
commit cf122dee896a4b4f746382e623950ad6af3abb09
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 11:28:49 2015 +0200
Remove incorrect internal quotes
Change-Id: Id1a769f5778201d114bc05ee73b67fc91527a193
---
invoke_session_debian | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 61486c7..2e9df60 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -120,10 +120,10 @@ cat /tmp/lava_multi_node_cache.txt
declare -A targets
for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk '{print $1}'`; do
echo "NAME ${lava_name}" > /dev/console
- target_ip="$(lava-network query \"${lava_name}\" ipv4)"
+ target_ip="$(lava-network query ${lava_name} ipv4)"
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
echo "IP ${target_ip}"
- target_base="$(echo \"${lava_name}\" | sed 's/[[:digit:]]*$//')" #TODO: HACK
+ target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
echo "TYPE ${target_base}"
sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.j [...]
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
The following commit(s) were added to refs/heads/inserted_src by this push:
new 422e030 wip: more debugging info
422e030 is described below
commit 422e030e6ebcc63c6174841538048afbe86d80f3
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 21 11:02:32 2015 +0200
wip: more debugging info
Change-Id: Ie0531f15b99f0d609d243dd0113d00457da51322
---
invoke_session_debian | 2 ++
1 file changed, 2 insertions(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index 9e257f6..61486c7 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -122,8 +122,10 @@ for lava_name in `lava-group | grep '[[:blank:]]*target$' | aw [...]
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query \"${lava_name}\" ipv4)"
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
+ echo "IP ${target_ip}"
target_base="$(echo \"${lava_name}\" | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
+ echo "TYPE ${target_base}"
sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.j [...]
if test $? -ne 0; then echo "Failed to generate config file for target ${lava_na [...]
targets=("${targets[@]}" "${lava_name}")
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.